Workspace
Suggest a record for a share
Suggests up to 5 companies from shared text or an e-mail file (eml, first 64 KB): an existing contact's e-mail → their company, e-mail domain → company, a company name in the text. email: subject, sender, date and body of the e-mail file.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.writeBody application/json
textstringoptionalShared text.
subjectstringoptionalSubject / title.
emlstringoptionalRaw e-mail file (RFC 822) text.
Errors
| HTTP | error | Meaning |
|---|---|---|
403 | plan | plan |
Request
curl -X POST https://ornek.solk.app/api/v1/share/suggest \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/share/suggest", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.post(
"https://ornek.solk.app/api/v1/share/suggest",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response